Category Feature element trees, Category Features, Object ProFeature

Function ProFeatureCreate


DEPRECATED: Since Wildfire 5.0
SUPERSEDED BY: ProFeatureWithoptionsCreate
Description
Creates a feature from the element tree.

NOTE:

This function is deprecated. Use ProFeatureWithoptionsCreate() with flags equal to PRO_REGEN_NO_FLAGS for equivalent behavior. Refer to the Creo Parametric Toolkit Release Notes for more information on restrictions of using this function with Multi-CAD models.

Synopsis
#include <ProFeature.h>
ProErrorProFeatureCreate(
ProSelection model
/* (In)
A selection object representing the part or assembly on which the feature is being created. The selection object must be constructed using a valid assembly component path to the top level assembly if:
  • the feature contains external references to geometry located outside of the solid model where it will be constructed.
  • or, the solid model in which the feature will be constructed is a member of the active Creo Parametric assembly.
*/
ProElement elemtree
/* (In)
The element tree.
*/
ProFeatureCreateOptions options[]
/* (In)
An array of user options.
*/
int num_opts
/* (In)
The number of options in the options array.
*/
ProFeature* p_feature
/* (Out)
The feature handle.
*/
ProErrorlist* p_errors
/* (Out)
The list of errors.
*/
)
Returns
PRO_TK_NO_ERRORThe function successfully created the feature.
PRO_TK_BAD_INPUTSOne or more of the input arguments are invalid.
PRO_TK_GENERAL_ERRORThe feature was not created. See p_errors for the list of problems.
See Also
ProAnalysis.h
ProAsmcomp.h
ProBeltFeat.h
ProChamfer.h
ProContact3dFeat.h
ProDamperFeat.h
ProDesignatedArea.h
ProDraft.h
ProDtmAxis.h
ProDtmCrv.h
ProDtmCsys.h
ProDtmPln.h
ProDtmPnt.h
ProElemId.h
ProExtrude.h
ProFeatIntr.h
ProFixture.h
ProFlatSrf.h
ProForeignCurve.h
ProHole.h
ProMfgoper.h
ProMerge.h
ProMirror.h
ProMove.h
ProNcseq.h
ProNcseqElem.h
ProPattern.h
ProProcstep.h
ProReplace.h
ProRevolve.h
ProRib.h
ProRound.h
ProShell.h
ProSmtFlangeWall.h
ProSmtFlatWall.h
ProSmtForm.h
ProSolidify.h
ProSmtPunchQuilt.h
ProStdSection.h
ProSurfReg.h
ProSweep.h
ProThicken.h
ProTrim.h
ProToolElem.h
ProValue.h
ProWcell.h

Manual References:

  1. Pro/DEVELOP to Creo Toolkit Function Mapping: Equivalent Pro/DEVELOP Functions
  2. Assembly: Assembling Components: Assembling Components by Element Tree
  3. Element Trees: Draft Features: Creating a Draft
  4. Element Trees: Draft Features: Creating a VPDD
  5. Core: Features: Feature Inquiry
  6. Core: Features: Manipulating Features based on Regeneration Flags
  7. Element Trees: Principles of Feature Creation: Feature Creation
  8. Element Trees: Principles of Feature Creation: Calling ProFeatureCreate()
  9. Element Trees: Principles of Feature Creation: Calling ProFeatureCreate()
  10. Element Trees: Principles of Feature Creation: Example of Complete Feature Creation
  11. Element Trees: Principles of Feature Creation: Feature Inquiry
  12. Element Trees: Principles of Feature Creation: Feature Redefine
  13. Element Trees: Principles of Feature Creation: Introduction to Feature Element Trees in XML
  14. Element Trees: Principles of Feature Creation: Validation Using XML Schema
  15. Element Trees: Principles of Feature Creation: Tips for Recycling XML Output of Element Trees
  16. Element Trees: Hole: Sketched Hole
  17. Element Trees: Hole: Hole Diameter
  18. Element Trees: Hole: Order of Element Specification
  19. Element Trees: Edit Menu Features: Creating a Mirror Feature
  20. Element Trees: Edit Menu Features: Creating a Move Feature
  21. Element Trees: Edit Menu Features: Creating a Fill Feature
  22. Element Trees: Edit Menu Features: Creating a Merge Feature
  23. Element Trees: Edit Menu Features: Creating a Trim Feature
  24. Element Trees: Edit Menu Features: Creating a Thicken Feature
  25. Element Trees: Edit Menu Features: Creating a Solidify Feature
  26. Element Trees: Edit Menu Features: Creating the Remove Feature
  27. Element Trees: Edit Menu Features: Creating the Attach Feature
  28. Production Applications: Manufacturing: Creating Manufacturing Objects
  29. Production Applications: Manufacturing: Creating Fixtures
  30. Production Applications: Process Planning: Creating Process Steps
  31. Element Trees: Round and Chamfer: Creating a Round
  32. Element Trees: Round and Chamfer: Creating a Chamfer
  33. Element Trees: Round and Chamfer: Creating a Corner Chamfer
  34. Element Trees: Sketched Features: Creating Features Containing Sections
  35. Element Trees: Sketched Features: To Create Sketched Features Element Trees
  36. Element Trees: Sketched Features: 3D Section Location in the Owning Model
  37. Element Trees: Replace: The Feature Element Tree
  38. Element Trees: Extrude and Revolve: Conventional Approach
  39. Element Trees: Extrude and Revolve: Example 9: Creating the First Extruded Protrusion Feature by Conventional Approach
  40. Element Trees: Extrude and Revolve: Example 10: Creating the First Thin Revolve Protrusion Feature by Conventional Approach
  41. User Interface: Selection: ProSelection Function Examples
  42. Production Applications: Sheetmetal: Creating a Flat Wall Feature
  43. Production Applications: Sheetmetal: Creating a Flange Wall Feature
  44. Production Applications: Sheetmetal: Creating a Extend Wall Feature
  45. Production Applications: Sheetmetal: Creating a Split Area Feature
  46. Production Applications: Sheetmetal: Creating a Punch or Die Form Feature
  47. Production Applications: Sheetmetal: Creating a Quilt Form Feature
  48. Production Applications: Sheetmetal: Creating a Flatten Form Feature
  49. Production Applications: Sheetmetal: Creating a Rip Feature
  50. Element Trees: Shell: Creating a Shell Feature

Sample Code References:

  1. pt_af_examples ( PTAFExampleUtils.c )
  2. pt_autoaxis ( AutoAxis.c )
  3. pt_geardesign ( GearDesign.c )
  4. pt_geardesign ( GearDesign.c )
  5. pt_geardesign ( GearDesign.c )
  6. pt_geardesign ( GearDesignUtils.c )
  7. pt_userguide ( UgMfgMillSeqCreate.c )